# eric7.Plugins.UiExtensionPlugins.Translator.TranslatorEngines.YandexEngine

Module implementing the Yandex translation engine.

### Global Attributes

None

### Classes

YandexEngine | Class implementing the translation engine for the Yandex translation service.

### Functions

None

## YandexEngine

Class implementing the translation engine for the Yandex translation service.

### Derived from

TranslationEngine

### Class Attributes

TranslatorLimit
TranslatorUrl

### Class Methods

None

### Methods

YandexEngine | Constructor
engineName | Public method to return the name of the engine.
getTranslation | Public method to translate the given text.
supportedLanguages | Public method to get the supported languages.

### Static Methods

None

#### YandexEngine (Constructor)

YandexEngine(plugin, parent=None)

Constructor

plugin
  reference to the plugin object (TranslatorPlugin)
parent
  reference to the parent object (QObject)

#### YandexEngine.engineName

engineName()

Public method to return the name of the engine.

Return:
  engine name (string)

#### YandexEngine.getTranslation

getTranslation(requestObject, text, originalLanguage, translationLanguage)

Public method to translate the given text.

requestObject
  reference to the request object (TranslatorRequest)
text
  text to be translated (string)
originalLanguage
  language code of the original (string)
translationLanguage
  language code of the translation (string)

Return:
  tuple of translated text (string) and flag indicating success (boolean)

#### YandexEngine.supportedLanguages

supportedLanguages()

Public method to get the supported languages.

Return:
  list of supported language codes (list of string)

Up